<?php
	class Ingroup{
		private $id;
        private $cliente;
        private $nombre;
		private $active;
		private $nextAgentCall;
		private $callTime;
		function __construct($id, $cliente, $nombre, $active, $nextAgentCall, $callTime){
			$this->id = $id;
			$this->cliente = $cliente;
			$this->nombre = $nombre;
			$this->active = $active;
			$this->nextAgentCall = $nextAgentCall;
			$this->callTime = $callTime;
		} 
		function getId(){
			return $this->id;
		}
		function getCliente(){
			return $this->cliente;
		}
		function getNombre(){
			return $this->nombre;
		}
		function getActivo(){
			return $this->active;
		}			
		function getNextAgentCall(){
			return $this->nextAgentCall;
		}			
		function setNombre($nombre){
			$this->nombre = $nombre;
		}
		function setNextAgentCall($nextAgentCall){
			$this->nextAgentCall = $nextAgentCall;			
		}
		function setActivo($active){
			$this->active = $active;
		}

		function setCallTime($callTime) {
			$this->callTime = $callTime;
		}

		function getCallTime() {
			return $this->callTime;
		}

		public function toJSON(){
			$resp = array();
			if($this->cliente != NULL){
				$resp["Cliente"] = $this->getCliente()->toJSON();
			}else{
				$resp["Cliente"] = NULL;
			}
			$resp["id"] = $this->getId();			
			$resp["Nombre"] = $this->getNombre();
			$resp["NextAgentCall"] = $this->getNextAgentCall();
			$resp["Activo"] = $this->getActivo();
			$resp["CallTime"] = $this->callTime;
			return $resp;
		}
	}
?>